package net.knarcraft.blacksmith.command.scrapper;

import net.knarcraft.blacksmith.BlacksmithPlugin;
import net.knarcraft.blacksmith.command.EditCommand;
import net.knarcraft.blacksmith.config.Settings;
import net.knarcraft.blacksmith.config.scrapper.ScrapperSetting;
import net.knarcraft.blacksmith.trait.ScrapperTrait;
import org.jetbrains.annotations.NotNull;

/**
 * The main command used for scrapper editing
 */
public class ScrapperEditCommand extends EditCommand<ScrapperTrait, ScrapperSetting> {

    /**
     * Instantiates a new scrapper edit command
     */
    public ScrapperEditCommand() {
        super(ScrapperTrait.class);
    }

    @Override
    public ScrapperSetting getSetting(String input) {
        return ScrapperSetting.getSetting(input);
    }

    @Override
    public @NotNull Settings<ScrapperSetting> getGlobalSettings() {
        return BlacksmithPlugin.getInstance().getGlobalScrapperSettings();
    }

}
