package net.knarcraft.blacksmith.formatting;

import net.knarcraft.blacksmith.BlacksmithPlugin;
import net.knarcraft.knarlib.formatting.StringFormatter;

/**
 * An enum representing all item types used in messages
 */
public enum ItemType {

    ENCHANTMENT,
    MATERIAL;

    /**
     * Gets the name of this item type
     *
     * @return <p>The name of this item type</p>
     */
    public String getItemTypeName() {
        StringFormatter stringFormatter = BlacksmithPlugin.getStringFormatter();
        return switch (this) {
            case MATERIAL -> stringFormatter.getUnFormattedMessage(BlacksmithTranslatableMessage.ITEM_TYPE_MATERIAL);
            case ENCHANTMENT ->
                    stringFormatter.getUnFormattedMessage(BlacksmithTranslatableMessage.ITEM_TYPE_ENCHANTMENT);
        };
    }

}
